"{ Encoding: utf8 }"

"
 COPYRIGHT (c) 2015 by Claus Gittinger / eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libbasic' }"

"{ NameSpace: Smalltalk }"

Query subclass:#LoadInProgressQuery
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Kernel-Exceptions-Queries'
!

!LoadInProgressQuery class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2015 by Claus Gittinger / eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    Abstract superclass of queries which are answered during package or class loading,
    and allows for browsers to defer their updates.
    E.g. to bundle redraws when multiple changes are to come
    for a class or package in browsers.
"
! !

!LoadInProgressQuery class methodsFor:'answering queries during load'!

answerNotifyLoadingDo:aBlock
    ^ [
        Smalltalk changed:#preLoad.
        self answer:true do:aBlock
    ] ensure:[
        Smalltalk changed:#postLoad
    ].

    "Modified: / 12-03-2019 / 18:01:11 / Stefan Vogel"
! !

!LoadInProgressQuery methodsFor:'defaults'!

defaultResumeValue
    "the default answer, if no one handles the query"

    ^ false

    "
     self query
    "
! !

!LoadInProgressQuery class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
! !

